Package org.jbpm.process.audit.query

## Class ProcessInstanceLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>
      - - org.jbpm.process.audit.query.ProcessInstanceLogDeleteBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

      public class ProcessInstanceLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessInstanceLogDeleteBuilderImpl​(JPAAuditLogService jpaService)` |
    `ProcessInstanceLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDate​(Date... date)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDateRangeEnd​(Date rangeEnd)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `endDateRangeStart​(Date rangeStart)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `externalId​(String... externalId)` |
    `protected String` | `getQueryTable()` |
    `protected Class` | `getQueryType()` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `identity​(String... identity)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `outcome​(String... outcome)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processName​(String... processName)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `processVersion​(String... version)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDate​(Date... date)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDateRangeEnd​(Date rangeEnd)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `startDateRangeStart​(Date rangeStart)` |
    `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder` | `status​(int... status)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, date, dateRangeEnd, dateRangeStart, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, isSubquerySupported, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### ProcessInstanceLogDeleteBuilderImpl

          public ProcessInstanceLogDeleteBuilderImpl​(JPAAuditLogService jpaService)

    - #### ProcessInstanceLogDeleteBuilderImpl

          public ProcessInstanceLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### status

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder status​(int... status)

      Specified by:
        `status` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### outcome

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder outcome​(String... outcome)

      Specified by:
        `outcome` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### identity

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder identity​(String... identity)

      Specified by:
        `identity` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### processVersion

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processVersion​(String... version)

      Specified by:
        `processVersion` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### processName

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder processName​(String... processName)

      Specified by:
        `processName` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDate​(Date... date)

      Specified by:
        `startDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDateRangeStart​(Date rangeStart)

      Specified by:
        `startDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### startDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder startDateRangeEnd​(Date rangeEnd)

      Specified by:
        `startDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDate

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDate​(Date... date)

      Specified by:
        `endDate` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDateRangeStart​(Date rangeStart)

      Specified by:
        `endDateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### endDateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder endDateRangeEnd​(Date rangeEnd)

      Specified by:
        `endDateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### externalId

          public org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder externalId​(String... externalId)

      Specified by:
        `externalId` in interface `org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ProcessInstanceLogDeleteBuilder>`